Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class ErrorHandlerWrapper

    java.lang.Object
      weblogic.apache.xerces.util.ErrorHandlerWrapper

All Implemented Interfaces:
  XMLErrorHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class ErrorHandlerWrapper
extends Object
implements XMLErrorHandler

This class wraps a SAX error handler in an XNI error handler.

See Also:
  `ErrorHandler`

Field Summary
`protected ErrorHandler` | `fErrorHandler` Deprecated. The SAX error handler.

Constructor Summary
`ErrorHandlerWrapper()` Deprecated. Default constructor.
`ErrorHandlerWrapper(ErrorHandler errorHandler)` Deprecated. Wraps the specified SAX error handler.

Method Summary
`protected static SAXParseException` | `createSAXParseException(XMLParseException exception)` Deprecated. Creates a SAXParseException from an XMLParseException.
`protected static XMLParseException` | `createXMLParseException(SAXParseException exception)` Deprecated. Creates an XMLParseException from a SAXParseException.
`protected static XNIException` | `createXNIException(SAXException exception)` Deprecated. Creates an XNIException from a SAXException.
`void` | `error(String domain, String key, XMLParseException exception)` Deprecated. Reports an error.
`void` | `fatalError(String domain, String key, XMLParseException exception)` Deprecated. Report a fatal error.
`ErrorHandler` | `getErrorHandler()` Deprecated. Returns the SAX error handler.
`void` | `setErrorHandler(ErrorHandler errorHandler)` Deprecated. Sets the SAX error handler.
`void` | `warning(String domain, String key, XMLParseException exception)` Deprecated. Reports a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fErrorHandler

    protected ErrorHandler fErrorHandler

  Deprecated.
  The SAX error handler.

Constructor Detail

### ErrorHandlerWrapper

    public ErrorHandlerWrapper()

  Deprecated.
  Default constructor.

### ErrorHandlerWrapper

    public ErrorHandlerWrapper(ErrorHandler errorHandler)

  Deprecated.
  Wraps the specified SAX error handler.

Method Detail

### createSAXParseException

    protected static SAXParseException createSAXParseException(XMLParseException exception)

  Deprecated.
  Creates a SAXParseException from an XMLParseException.

### createXMLParseException

    protected static XMLParseException createXMLParseException(SAXParseException exception)

  Deprecated.
  Creates an XMLParseException from a SAXParseException.

### createXNIException

    protected static XNIException createXNIException(SAXException exception)

  Deprecated.
  Creates an XNIException from a SAXException. NOTE: care should be taken *not* to call this with a SAXParseException; this will lose information!!!

### error

    public void error(String domain,
                      String key,
                      XMLParseException exception)
               throws XNIException

  Deprecated.
  Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).

  Specified by:
    `error` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(String domain,
                           String key,
                           XMLParseException exception)
                    throws XNIException

  Deprecated.
  Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

  Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

  Specified by:
    `fatalError` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Deprecated.
  Returns the SAX error handler.

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

  Deprecated.
  Sets the SAX error handler.

### warning

    public void warning(String domain,
                        String key,
                        XMLParseException exception)
                 throws XNIException

  Deprecated.
  Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.

  Specified by:
    `warning` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD